% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/LifeTable.R
\name{find.my.case}
\alias{find.my.case}
\title{Function that identifies the case/problem we have to solve}
\usage{
find.my.case(Dx = NULL, Ex = NULL, mx = NULL, qx = NULL, lx = NULL, dx = NULL)
}
\arguments{
\item{Dx}{Object containing death counts. An element of the \code{Dx} object
represents the number of deaths during the year to persons aged x to x+n.}

\item{Ex}{Exposure in the period. \code{Ex} can be approximated by the
mid-year population aged x to x+n.}

\item{mx}{Life table death rate in age interval [x, x+n).}

\item{qx}{Probability of dying in age interval [x, x+n).}

\item{lx}{Probability of survival up until exact age x (if l(0) = 1), or
the number of survivors at exact age x, assuming l(0) > 1.}

\item{dx}{Deaths by life-table population in the age interval [x, x+n).}
}
\description{
Function that identifies the case/problem we have to solve
}
\keyword{internal}
